Table of Contents

Class: BrokerFactory | Twisted-0.17.4/twisted/spread/pb.py
--- | ---

I am a server for object brokerage.

Base Classes |
--- | ---
protocol.Factory styles.Versioned

Methods |
--- | ---
__init__ buildProtocol configInit config_objectToBroker getConfiguration upgradeToVersion2
| __init__

    __init__ ( self,  objectToBroker )

| buildProtocol

    buildProtocol ( self,  addr )

Return a Broker attached to me (as the service provider).

| configInit

    configInit (
            self,
            container,
            name,
            )

| config_objectToBroker

    config_objectToBroker ( self,  newObject )

| getConfiguration

    getConfiguration ( self )

| upgradeToVersion2

    upgradeToVersion2 ( self )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:32 2002 by HappyDoc version 2.0